Show / Hide Table of Contents

# Interface IOpenIddictServerHandler<TContext>

Represents a handler able to process `TContext` events.

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictServerHandler<in TContext>
        where TContext : BaseContext

##### Type Parameters

Name | Description
--- | ---
TContext | The type of the context associated with events handled by this instance.

### Methods

#### HandleAsync(TContext)

Processes the event.

##### Declaration

    ValueTask HandleAsync(TContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
TContext | context | The context associated with the event to process.

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.